body {
  margin: 0;
  font-family:
    system-ui,
    -apple-system,
    BlinkMacSystemFont,
    "Segoe UI",
    Roboto,
    Oxygen,
    Ubuntu,
    Cantarell,
    "Open Sans",
    "Helvetica Neue",
    sans-serif;
  font-family: "Source Sans 3", sans-serif;
  font-family: "MaruBuri";
  background-color: #34495e;
  color: #ecf0f1;
}

.wrapper {
  position: fixed;
  width: 100%;
  height: 100vh;
  background-image:
    linear-gradient(rgba(0, 0, 0, 0.7), rgba(0, 0, 0, 0.7)),
    url("https://picsum.photos/2560");
  background-repeat: no-repeat;
  background-size: cover;
  background-position: center;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  gap: 2rem;
}

#login {
  width: 100vw;
  height: 100vh;
  display: flex;
  justify-content: center;
  align-items: center;
  position: fixed;
  top: 0;
  left: 0;
  background-color: rgba(0, 0, 0, 0.4);
  backdrop-filter: blur(10px);
  z-index: 100;
  font-family: inherit;
  transition:
    opacity 0.3s ease,
    visibility 0.3s ease;
}

#loginForm {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 1rem;
  font-family: inherit;
}

#loginForm input {
  outline: none;
  background: none;
  border: none;
  border-bottom: 1px solid #ecf0f1;
  font-family: inherit;
  font-size: 1rem;
  color: #ecf0f1;
  text-align: center;
}
.hide {
  opacity: 0;
  visibility: hidden;
  z-index: -100;
}

h1 {
  color: #ecf0f1;
  width: max-content;
  font-family: MaruBuriBold;
  font-size: 2rem;
  position: fixed;
  top: 0px;
  margin: 1rem;
}

#calendar {
  font-size: clamp(2rem, 5vw, 4rem);
  width: max-content;
  overflow-x: hidden;
}

#clock {
  display: flex;
  gap: 0.8rem;
  flex-wrap: nowrap;
}

#clock div:not(.colon) {
  padding: 0.5rem;
  border-radius: 0.8rem;
  background-image: linear-gradient(rgba(0, 0, 0, 0.2) rgba(0, 0, 0, 0.2));
  backdrop-filter: blur(20px);
  width: clamp(3rem, 7vw, 6rem);
  aspect-ratio: 1/1;
  display: flex;
  justify-content: center;
  align-items: center;
  font-size: clamp(2.5rem, 7vw, 5rem);
  font-weight: bold;
}
.colon {
  font-size: clamp(2.5rem, 7vw, 5rem);
  display: flex;
  justify-content: center;
  align-items: center;
  font-weight: bold;
}

#place {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}

#todos {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  gap: 1rem;
}
#todos h2 {
  margin: 0;
  padding: 0;
}
#todosForm input {
  background-color: transparent;
  border: none;
  border-bottom: 1px solid #ecf0f1;
  font-size: 1rem;
  color: #ecf0f1;
  font-family: MaruBuri;
}
#todosForm input:focus {
  outline: none;
}
#todosUL {
  display: flex;
  font-family: MaruBuri;
  color: #ecf0f1;
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  gap: 1rem;
  margin: 0;
  padding: 0;
  list-style: none;
}

#todosUL li {
  width: 100%;
  display: flex;
  justify-content: space-between;
  gap: 2rem;
  font-family: inherit;
}

#todosUL button {
  font-family: inherit;
}

#control {
  display: flex;
  position: fixed;
  width: 90%;
  bottom: 2rem;
  justify-content: space-between;
  padding: 1rem;
  gap: 1rem;
}

#username {
  font-family: MaruBuri;
  font-size: 1rem;
  bottom: 2rem;
  left: 2rem;
  margin-right: auto;
}

#logout {
  bottom: 2rem;
  right: 2rem;
}

.button {
  color: #34495e;
  background-color: #95a5a6;
  border: none;
  padding: 0.2rem 1rem;
  font-size: 1rem;
  font-weight: bold;
  border-radius: 0.8rem;
  cursor: pointer;
  box-shadow: 0 4px 0 #7f8c8d;
  transition: all 0.1s ease;
  font-family: MaruBuri;
}

.button:active {
  box-shadow: 0 2px 0 #7f8c8d;
  transform: translateY(3px);
}
